#ifndef CODE39_H
#define CODE39_H

#include <QString>

#include <QBitmap>
#include <QMap>

class Code39
{
public:
    Code39();

    QBitmap getCode39Map(QString BarCode);

private:
    QBitmap draw(QString BinaryNum, QString barcode);
    QString CodeBinary(QString barcode);
    void InitMap();

    QString barcode;
    QString path;

    QMap<QString, QString> map;
};

#endif // CODE39_H
